Async Text to Speech Pro V1.0
統合
モデルID
async/tts-pro/v1.0
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/async/tts-pro/v1.0?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/async/tts-pro/v1.0", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "async/tts-pro/v1.0",
"input": {
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
}
}
Doitong APIを通じてAsync Text to Speech Pro V1.0モデル(async/tts-pro/v1.0)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/async/tts-pro/v1.0.md
POST https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/async/tts-pro/v1.0を実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.001 1 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/async/tts-pro/v1.0?wait=20
見積もり → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/async/tts-pro/v1.0?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/async/tts-pro/v1.0", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "async/tts-pro/v1.0",
"input": {
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
},
"wait_seconds": 20
}
}
}
Async Text to Speech Pro V1.0について
選択した`voice`オブジェクトを使い、`transcript`を音声に変換します。任意の`language`パラメーターで英語、フランス語、スペイン語、ドイツ語、イタリア語、ポルトガル語のいずれかを強制できます。`output_format`オブジェクトで音声を設定し、結果には音声ファイル、MIMEタイプ、バイト単位のサイズが含まれます。特定の音声を選ぶナレーションに適しています。
パラメータ
名前型
デフォルト許可される値
説明
transcript必須
型string
音声として合成するテキスト内容。
voice必須
型object
音声合成に使用する音声。
voice.name任意
型enum
デフォルトJennie
JennieStellaMaxHayesElaraCleoFisherCorinThaddeusLucinaAcadiaHuxleyWinsletJethroElioRupert
さらに84件
EiraNyraArianLilyPierceKaelaElowenFreyaLennyAlessaPandoraFiaAbbottKaelOrlaSableMarnieSeraVirelLioraRivenElysDreenaRheaVelaNymeraIsoldeLirienZellaAvennaMirelleCaliaLuneaLucanTarianArloJovanNeronZivenDaxOrienLiorEryxTyrenNoxElricVarianZoranMiroDalenRonixJarekNyxieSorenVionaSeleneRachielCorbinAbigailFaithKimberlyDaveGraceAldenRenlyVioletJoelXavierEsmeraldaRobertLilaBrooksLennoxVanessaSimonNyomiJackPenelopeBraydenAbelNellieConnieAndrewLincoln使用する名前付きプリセット音声。`id` が指定されている場合は効果がありません。
output_format任意
型object
生成する音声の設定。
output_format.container任意
型enum
デフォルトmp3
mp3raw
生成する音声のコンテナ形式。
output_format.encoding任意
型enum
pcm_s16lepcm_f32lepcm_mulaw
コンテナが 'raw' の場合のみ適用される PCM エンコーディング。
output_format.sample_rate任意
型integer
デフォルト44100
8,000 – 48,000
出力のサンプリング周波数(Hz)。
output_format.bit_rate任意
型integer | null
32,000 – 320,000
出力のビットレート。'mp3' コンテナにのみ適用されます。
language任意
型enum
enfresdeitpt
合成時に適用する言語。ISO 639-1 で指定します。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "async/tts-pro/v1.0",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1,
"usd": "0.001",
"charged": 1,
"refunded": 0
},
"input": {
"transcript": "Hello from Doitong. This is a short test sentence.",
"voice": {
"name": "Jennie"
}
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"content_type": "audio/mpeg",
"size_bytes": 1
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- audio
- object {url, content_type, file_name, file_size}
- content_type
- string音声の MIME タイプ。
- size_bytes
- integer音声のサイズ(バイト)。
その他のモデル: テキスト読み上げ
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/async/tts-pro/v1.0.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt